Skip to main content
POST
/
sources
/
{sourceId}
/
questions
Create questions and answers to feed a knowledge base source
curl --request POST \
  --url https://messenger-public-api.cogfy.com/sources/{sourceId}/questions \
  --header 'Content-Type: application/json' \
  --header 'api-key: <api-key>' \
  --data '
{
  "questions": [
    {
      "question": "<string>",
      "answer": "<string>"
    }
  ]
}
'
import requests

url = "https://messenger-public-api.cogfy.com/sources/{sourceId}/questions"

payload = { "questions": [
{
"question": "<string>",
"answer": "<string>"
}
] }
headers = {
"api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({questions: [{question: '<string>', answer: '<string>'}]})
};

fetch('https://messenger-public-api.cogfy.com/sources/{sourceId}/questions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

api-key
string
header
required

Path Parameters

sourceId
string<uuid>
required

Body

application/json
questions
object[]

Response

201

Questions created